Subject: Re: bug#76691: `display-monitor-attributes-list` not working properly on macOS

From: Ship Mints <[email-masked]>
Date: Sun, 16 Mar 2025 17:42:13 -0400

On Thu, Mar 6, 2025 at 8:27 AM Robert Pluim <[email-masked]> wrote:

> >>>>> On Thu, 6 Mar 2025 06:19:25 -0500, Ship Mints <[email-masked]>
> said:
>
>     Ship> Right. I'd changed the last patch to xstrdup.
>
> OK
>
>     Ship> Do you have a monitor for which macOS has no name that caused
> the fallback
>     Ship> to be invoked?
>
> I donʼt, although it works fine if I comment out the localizeName
> code.
>

Fixed in the last version of the patch; I used xstrdup.

Anything else needed for this before we can install it?